[**@rxap/config v19.1.0-dev.2**](../README.md)

***

[@rxap/config](../globals.md) / raceSuccess

# Function: raceSuccess()

> **raceSuccess**\<`T`\>(`promises`): `Promise`\<`T`\>

Defined in: [utilities.ts:17](https://gitlab.com/rxap/packages/-/blob/c459fa39d2fc8f7b9433246faef548fd35a95c8b/packages/angular/config/src/lib/utilities.ts#L17)

Similar to Promise.race() but only resolves with the first successful promise.
It will only reject if all promises reject.

## Type Parameters

• **T**

## Parameters

### promises

`Promise`\<`T`\>[]

## Returns

`Promise`\<`T`\>
